List partner agencies
The organizations your pantry gives food to in bulk. While the pantry is switched off it answers 404 saying so. Needs read on People.
GET
https://{organization}.rescueconsole.com
/
api
/
people
/
pantry
/
partners
List partner agencies
curl --request GET \
--url https://{organization}.rescueconsole.com/api/people/pantry/partners \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/people/pantry/partners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/people/pantry/partners"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"organization_id": "<string>",
"name": "<string>",
"kind": "<string>",
"is_active": true
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
List partner agencies
curl --request GET \
--url https://{organization}.rescueconsole.com/api/people/pantry/partners \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/people/pantry/partners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/people/pantry/partners"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"organization_id": "<string>",
"name": "<string>",
"kind": "<string>",
"is_active": true
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}